# Endpoints

## Retrieve Live Time Delay

> Fetches real-time delay recommendations for a specified ticket, based on the player's profile and ticket-specific parameters.

```json
{"openapi":"3.0.1","info":{"title":"Live Time Delay API","version":"2025-10-06T18:32:45Z"},"servers":[{"url":"https://api.insighttechservices.sportradar.com/{basePath}","variables":{"basePath":{"default":"api/ltd"}}}],"security":[{"ltd-api-req-authorizer":[]}],"components":{"securitySchemes":{"ltd-api-req-authorizer":{"type":"apiKey","description":"Bearer authentication header of the form Bearer \\<TOKEN\\>.","name":"Authorization","in":"header"}},"schemas":{"LtdResponseModel":{"title":"Live Time Delay Response Schema","required":["ltdModelSuggestion","ltdSuggestion","ltdSuggestionEdl","ticketId"],"type":"object","properties":{"ltdModelSuggestion":{"type":"string","description":"LTD model suggestion enum value","enum":["Delay","Skip","N/A"]},"ltdSuggestion":{"type":"string","description":"Suggested delay in seconds"},"ltdSuggestionEdl":{"type":"string","description":"Suggested EDL delay in seconds"},"ticketId":{"type":"string","description":"ID of the ticket or request (corrId)"}},"additionalProperties":false},"LtdResponseExample200Model":{"required":["ltdModelSuggestion","ltdSuggestion","ltdSuggestionEdl","ticketId"],"type":"object","properties":{"ltdModelSuggestion":{"type":"string","description":"LTD model suggestion enum value","enum":["Delay"]},"ltdSuggestion":{"type":"string","description":"Suggested delay in seconds","enum":["30"]},"ltdSuggestionEdl":{"type":"string","description":"Suggested EDL delay in seconds","enum":["45"]},"ticketId":{"type":"string","description":"ID of the ticket or request (corrId)","enum":["ticket_20241201_001"]}},"additionalProperties":false},"Unauthorized":{"title":"Unauthorized Error Response","required":["message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}},"Forbidden":{"title":"Forbidden Error Response","required":["message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}},"Throttled":{"title":"Too Many Requests Error Response","required":["message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"retryAfter":{"type":"integer"}}},"InternalError":{"title":"Internal Server Error Response","required":["message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"requestId":{"type":"string"}}}}},"paths":{"/v1/bookmakers/{bookmaker}":{"post":{"tags":["Endpoints"],"summary":"Retrieve Live Time Delay","description":"Fetches real-time delay recommendations for a specified ticket, based on the player's profile and ticket-specific parameters.","operationId":"Live Time Delay Post","parameters":[{"name":"bookmaker","in":"path","description":"Identifier for the bookmaker. Generated by Sportradar, contact your OAM or CI engineer in case of any issues with obtaining the correct value.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LtdResponseModel"}},"application/example":{"schema":{"$ref":"#/components/schemas/LtdResponseExample200Model"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Unauthorized"}}}},"403":{"description":"Access denied","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Forbidden"}}}},"429":{"description":"Throttled","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Throttled"}}}},"500":{"description":"Internal error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/itservices/models/live-time-delay-ltd-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
